# boost::numeric::ublas::matrix_vector_indirect< M, IA >::const_iterator Class Reference

List of all members.

## Public Types

typedef matrix_vector_indirect::value_type | value_type
typedef matrix_vector_indirect::difference_type | difference_type
typedef matrix_vector_indirect::const_reference | reference
typedef const matrix_vector_indirect::value_type * | pointer

## Public Member Functions

| BOOST_STATIC_ASSERT ((boost::is_same< typename M::const_iterator1::iterator_category, typename M::const_iterator2::iterator_category >::value))
BOOST_UBLAS_INLINE | const_iterator (const self_type &mvi, const const_subiterator1_type &it1, const const_subiterator2_type &it2)
BOOST_UBLAS_INLINE | const_iterator (const typename self_type::iterator &it)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const

### template<class M, class IA>
class boost::numeric::ublas::matrix_vector_indirect< M, IA >::const_iterator